8086:2a42 emachine e725 boots to valid display with no backlight

Bug #934707 reported by Terry Jones on 2012-02-18
24
This bug affects 4 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

Booting to a black screen, however a flashlight shows a faint login window. I can login, hear the startup sound, but still a black screen.
Again a flashlight on the screen shows a faint desktop. I am assuming the backlight on the laptop is not responding. Pressing the function key and brightness adjustment keys does nothing.

As a work around, adding the boot paramater acip_osi=Linux to Grub on startup allows me to have a screen, However, the function dim keys make it brighter while the function brighter keys make the screen dimmer.

lsb_release -rd
Description: Ubuntu precise (development branch)
Release: 12.04

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: xorg 1:7.6+10ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-16.25-generic 3.2.6
Uname: Linux 3.2.0-16-generic x86_64
NonfreeKernelModules: wl
.tmp.unity.support.test.0:

ApportVersion: 1.91-0ubuntu1
Architecture: amd64
CompizPlugins: [core,bailer,detection,composite,opengl,compiztoolbox,decor,dbus,mousepoll,regex,imgpng,gnomecompat,place,animation,session,move,resize,snap,vpswitch,winrules,grid,fade,workarounds,cube,expo,ezoom,scale,rotate,unityshell]
CompositorRunning: compiz
Date: Fri Feb 17 22:26:05 2012
DistUpgraded: Fresh install
DistroCodename: precise
DistroVariant: ubuntu
DkmsStatus:
 bcmwl, 5.100.82.38+bdcom, 3.2.0-15-generic, x86_64: installed
 bcmwl, 5.100.82.38+bdcom, 3.2.0-16-generic, x86_64: installed
ExtraDebuggingInterest: Yes, if not too technical
GraphicsCard:
 Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a42] (rev 09) (prog-if 00 [VGA controller])
   Subsystem: Acer Incorporated [ALI] Device [1025:0212]
   Subsystem: Acer Incorporated [ALI] Device [1025:0212]
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha amd64 (20120119)
MachineType: eMachines eMachines E725
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-16-generic root=UUID=5dad1fe6-2c79-4412-ae39-0307a2f6db3e ro acpi_osi=Linux
SourcePackage: xorg
Symptom: display
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 12/16/2009
dmi.bios.vendor: eMachines
dmi.bios.version: V3.04
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: eMachines E725
dmi.board.vendor: eMachines
dmi.board.version: V3.04
dmi.chassis.type: 10
dmi.chassis.vendor: eMachines
dmi.chassis.version: V3.04
dmi.modalias: dmi:bvneMachines:bvrV3.04:bd12/16/2009:svneMachines:pneMachinesE725:pvrV3.04:rvneMachines:rneMachinesE725:rvrV3.04:cvneMachines:ct10:cvrV3.04:
dmi.product.name: eMachines E725
dmi.product.version: V3.04
dmi.sys.vendor: eMachines
version.compiz: compiz 1:0.9.7.0~bzr2995-0ubuntu4
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.30-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 8.0~rc2-0ubuntu5
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 8.0~rc2-0ubuntu5
version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu3
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.6.99.901+git20120126-0ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2

Terry Jones (terryjones28056) wrote :
Terry Jones (terryjones28056) wrote :

I tried to add this bug to the kernel (where I think it belongs) but was unable due to the kernel was not recognized as a package.

Terry Jones (terryjones28056) wrote :

Canonical Kernel Team
Archive for June, 2011
Brad Figg
Kernel Team Meeting Minutes

Status: General Oneiric

We’ve almost resolved all the issues from the v3.0 fallout. We’re just wrestling with module-init-tools to get depmod sorted out. We’ve rebased to v3.0-rc2 and pushed to master-next. With v3.0-rc2, there’s an issue on boot (black screen of death) when the i915 driver is loaded. This can be worked around using i915.modeset=0 at the moment. There’s also reported boot issues on some system’s with atom processors on at least v3.0-rc1. So, I’m a bit hesitant to upload at the moment knowing we’ll break some common hardware use cases.

Terry Jones (terryjones28056) wrote :

The above post is why I think this is a kernel bug. My machine runs Ubuntu 10.04 with kernel 2.6.38-38 perfectly.

Terry Jones (terryjones28056) wrote :

Bryce,

I subscribed you to this bug. It is problably a dupclicate, but I think it is a Kernel bug. With this being a 5 year support, I think it needs addressed. It does not bother me, as there is workarounds, but for a new user with the same hardware it could scare them off as a first impression.

Thanks,
Terry

Bryce Harrington (bryce) on 2012-02-22
affects: xorg (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
importance: Undecided → High
tags: added: kernel-handoff-graphics
Terry Jones (terryjones28056) wrote :

Thanks Bryce,

Sorry if I was out of line by subscribing you, but I knew you were the expert in this area.

Thanks,
Terry

Brad Figg (brad-figg) on 2012-02-22
Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.3 kernel[1] (Not a kernel in the daily directory). Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag(Only that one tag, please leave the other tags). This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed by the mainline kernel, please add the following tag 'kernel-fixed-upstream-KERNEL-VERSION'. For example, if kernel version 3.3-rc4 fixed the issue, the tag would be: 'kernel-fixed-upstream-v3.3-rc4'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[1] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.3-rc4-precise/

tags: added: needs-upstream-testing
tags: added: kernel-da-key
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Download full text (4.3 KiB)

Definitely not a problem. We screen a lot of graphics problems for
kernel and other groups and are happy to help.

On Wed, Feb 22, 2012 at 02:49:11AM -0000, Terry Jones wrote:
> Thanks Bryce,
>
> Sorry if I was out of line by subscribing you, but I knew you were the
> expert in this area.
>
>
> Thanks,
> Terry
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/934707
>
> Title:
> emachine e725 boots to black screen
>
> Status in “linux” package in Ubuntu:
> New
>
> Bug description:
> Booting to a black screen, however a flashlight shows a faint login window. I can login, hear the startup sound, but still a black screen.
> Again a flashlight on the screen shows a faint desktop. I am assuming the backlight on the laptop is not responding. Pressing the function key and brightness adjustment keys does nothing.
>
> As a work around, adding the boot paramater acip_osi=Linux to Grub on
> startup allows me to have a screen, However, the function dim keys
> make it brighter while the function brighter keys make the screen
> dimmer.
>
> lsb_release -rd
> Description: Ubuntu precise (development branch)
> Release: 12.04
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.04
> Package: xorg 1:7.6+10ubuntu1
> ProcVersionSignature: Ubuntu 3.2.0-16.25-generic 3.2.6
> Uname: Linux 3.2.0-16-generic x86_64
> NonfreeKernelModules: wl
> .tmp.unity.support.test.0:
>
> ApportVersion: 1.91-0ubuntu1
> Architecture: amd64
> CompizPlugins: [core,bailer,detection,composite,opengl,compiztoolbox,decor,dbus,mousepoll,regex,imgpng,gnomecompat,place,animation,session,move,resize,snap,vpswitch,winrules,grid,fade,workarounds,cube,expo,ezoom,scale,rotate,unityshell]
> CompositorRunning: compiz
> Date: Fri Feb 17 22:26:05 2012
> DistUpgraded: Fresh install
> DistroCodename: precise
> DistroVariant: ubuntu
> DkmsStatus:
> bcmwl, 5.100.82.38+bdcom, 3.2.0-15-generic, x86_64: installed
> bcmwl, 5.100.82.38+bdcom, 3.2.0-16-generic, x86_64: installed
> ExtraDebuggingInterest: Yes, if not too technical
> GraphicsCard:
> Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a42] (rev 09) (prog-if 00 [VGA controller])
> Subsystem: Acer Incorporated [ALI] Device [1025:0212]
> Subsystem: Acer Incorporated [ALI] Device [1025:0212]
> InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha amd64 (20120119)
> MachineType: eMachines eMachines E725
> ProcEnviron:
> PATH=(custom, no user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-16-generic root=UUID=5dad1fe6-2c79-4412-ae39-0307a2f6db3e ro acpi_osi=Linux
> SourcePackage: xorg
> Symptom: display
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 12/16/2009
> dmi.bios.vendor: eMachines
> dmi.bios.version: V3.04
> dmi.board.asset.tag: Base Board Asset Tag
> dmi.board.name: eMachines E725
> dmi.board.vendor: eMachines
> dmi.board.version: V3.04
> dmi.chassis.type: 10
> dmi.chassis.vendor: eMachines
> dmi.chassis.version: V3.04
> dm...

Read more...

@Joseph Salisbury
I will install the latest kernel and report back

Terry Jones (terryjones28056) wrote :

Joseph, I installed the kernel image and the header packages per your link.

terry@terry-eMachines-E725:~$ uname -a
Linux terry-eMachines-E725 3.3.0-030300rc4-generic #201202181935 SMP Sun Feb 19 00:36:30 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
oo
This did not change anything. A regular boot still has a black screen which I can barely see the login prompt.
The key board brightness does not work. I can login, hear the startup sound, but the screen is still black.
Again, a flashlight faintly shows my desktop.

Using the boot paremeter acpi_osi=Linux boots alowing my brightness keys to show a screen (although they are reversed)

Thanks,
Terry

tags: added: kernel-bug-exists-upstream
removed: needs-upstream-testing
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Joseph Salisbury (jsalisbury) wrote :

This issue appears to be an upstream bug, since you tested the latest upstream kernel. Would it be possible for you to open an upstream bug report at bugzilla.kernel.org [1]? That will allow the upstream Developers to examine the issue, and may provide a quicker resolution to the bug.

If you are comfortable with opening a bug upstream, It would be great if you can report back the upstream bug number in this bug report. That will allow us to link this bug to the upstream report.

[1] https://wiki.ubuntu.com/Bugs/Upstream/kernel

Terry Jones (terryjones28056) wrote :

Thanks Joseph.

I found a current bug report the same as mine, so I didn't open another one.

https://bugzilla.kernel.org/show_bug.cgi?id=42726

Changed in linux:
importance: Unknown → Medium
status: Unknown → Incomplete
Andy Whitcroft (apw) on 2012-04-17
summary: - emachine e725 boots to black screen
+ emachine e725 boots to valid display with no backlight

Terry: On the upstream bug report you mention that you didn't see this issue on older versions of Ubuntu. Can you specify exactly the last release or kernel version you used that worked properly? Thanks!

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Seth Forshee (sforshee) wrote :

A few more questions:

1. What's the output of 'cat /sys/class/backlight/acpi_video0/device/firmware_node/path'? Does it change based on whether or not you pass acpi_osi=Linux?

2. Does the acpi_video0 backlight work when you pass acpi_osi=Linux?

3. Did the function keys work to adjust the brightness in older Ubuntu versions?

I'm suspecting that several things are broken about the backlight implementation in the bios on this machine that are worked around using a special driver in Windows.

Terry Jones (terryjones28056) wrote :

Seth sorry for the long time to reply, I had given up on this bug and do not check my email often.

"Can you specify exactly the last release or kernel version you used that worked properly? Thanks!Can you specify exactly the last release or kernel version you used that worked properly? Thanks!"
 I cannot say exactly but it was around June 2011. I did not report a bug because I was hoping some updated would fix it.

"1. What's the output of 'cat /sys/class/backlight/acpi_video0/device/firmware_node/path'? Does it change based on whether or not you pass acpi_osi=Linux?"
terry@terry-eMachines-E725:~$ cat /sys/class/backlight/acpi_video0/device/firmware_node/path
\_SB_.PCI0.OVGA (I am now using acpi_osi= with a space after the =)

"2. Does the acpi_video0 backlight work when you pass acpi_osi=Linux?"
Yes, but I have to use the brightness adjustment otherwise it is a black screen.
The brightness keys are reversed ( Fn+Dim makes brighter)

3. Did the function keys work to adjust the brightness in older Ubuntu versions?
Can't say for sure as I never needed to adjust.

I'm suspecting that several things are broken about the backlight implementation in the bios on this machine that are worked around using a special driver in Windows.
That is a good posibility.

Terry Jones (terryjones28056) wrote :

"Can you specify exactly the last release or kernel version you used that worked properly? Thanks!"

Additional information which may or may not be of help. On my hard drive I have Ubuntu 10.04 installed which has no issues with the backlight. I test with installs to USB thumb drives. One thumb drive I change the software source to point to the newest development version. The other thumb drive, I install the first daily live to get a clean start. Any CD that I try to boot and install to USB from has to have nomodeset to boot. This is also in all current non Ubuntu desktop (so the bug is not specific to Ubuntu)

Hi! This is a duplicate of the almighty bug 765438. Sorry for the wait, lots of reports that elude my grasp. I'll hop you guys up into the main report now!

summary: - emachine e725 boots to valid display with no backlight
+ 8086:2a42 emachine e725 boots to valid display with no backlight

Terry Jones, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available (not the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.13-rc1

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

no longer affects: linux (Ubuntu)
affects: linux → linux (Ubuntu)
Changed in linux (Ubuntu):
importance: Medium → Undecided
status: Incomplete → New
importance: Undecided → Medium
status: New → Incomplete
tags: added: bios-outdated-v3.10
removed: has-workaround
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.